// audio_player_buffer.v

// Generated using ACDS version 12.1 177 at 2013.05.07.20:11:19

`timescale 1 ps / 1 ps
module audio_player_buffer (
		input  wire       clk,           //          clock.clk
		input  wire       reset_n,       //               .reset_n
		input  wire       read,          // avalon_slave_0.read
		input  wire       write,         //               .write
		input  wire       chipselect,    //               .chipselect
		input  wire       address,       //               .address
		output wire [7:0] readdata,      //               .readdata
		input  wire [7:0] writedata,     //               .writedata
		output wire [7:0] audio_data,    //    conduit_end.export
		input  wire       audio_request, //               .export
		input  wire       audio_clk      //               .export
	);

	audio_buffer audio_player_buffer_inst (
		.clk           (clk),           //          clock.clk
		.reset_n       (reset_n),       //               .reset_n
		.read          (read),          // avalon_slave_0.read
		.write         (write),         //               .write
		.chipselect    (chipselect),    //               .chipselect
		.address       (address),       //               .address
		.readdata      (readdata),      //               .readdata
		.writedata     (writedata),     //               .writedata
		.audio_data    (audio_data),    //    conduit_end.export
		.audio_request (audio_request), //               .export
		.audio_clk     (audio_clk)      //               .export
	);

endmodule
